# SPDX-FileCopyrightText: Citadel and contributors
#
# SPDX-License-Identifier: AGPL-3.0-only

# yaml-language-server: $schema=../../app-standard-v4.yml

citadel_version: 4

metadata:
  category: Lightning Node Management
  name: Ride The Lightning
  version: 0.15.4
  tagline: Manage lightning node operations better
  description: >-
    Ride the Lightning makes it easier to manage your Lightning node.
  developers:
    Shahana and Suheb: ridethelightning.info
  permissions:
  {% if services is containing("lnd") %}
    - lnd
  {% elif services is containing("core-ln") %}
    - core-ln
  {% else %}
    - - lnd
      - core-ln
  {% endif %}
    - bitcoind
  repo:
    Public: https://github.com/Ride-The-Lightning/RTL
  support: https://twitter.com/RTL_App
  gallery:
    - 1.jpg
    - 2.jpg
    - 3.jpg
  defaultPassword: $APP_SEED

services:
  {% if services is containing("lnd") %}
  loop:
    image: ghcr.io/runcitadel/loop:main@sha256:9d57e9f6906741b643266735b8d1a63404475856ffaa8d12fcccd28bf8cf79fd
    user: 1000:1000
    environment:
      HOME: /data
    command:
      - --network=$BITCOIN_NETWORK
      - --lnd.host="$APP_LND_SERVICE_IP:10009"
      - --lnd.macaroonpath="/lnd/data/chain/bitcoin/$BITCOIN_NETWORK/admin.macaroon"
      - --lnd.tlspath="/lnd/tls.cert"
      - --restlisten=0.0.0.0:8081
    mounts:
      lnd: /lnd
      data:
        loop: /data
    requires:
      - lnd
  boltz:
    image: boltz/boltz-lnd:1.2.6@sha256:01a56dd357a2460bfd0ecdd726d6db3ab59d78ee691250831d09ba5de3fec7ce
    user: 1000:1000
    restart: on-failure
    environment:
      HOME: /data
    mounts:
      lnd: /lnd
      data:
          boltz: /data
    command:
      - --lnd.host="$APP_LND_SERVICE_IP"
      - --lnd.macaroon="/lnd/data/chain/bitcoin/$BITCOIN_NETWORK/admin.macaroon"
      - --lnd.certificate="/lnd/tls.cert"
      - --rpc.rest.host="$APP_RIDE_THE_LIGHTNING_BOLTZ_IP"
      - --rpc.rest.port="9003"
    requires:
      - lnd
    {% endif %}
  main:
    image: shahanafarooqui/rtl:v0.15.4@sha256:f984095949b5b6c2c0c7d983e979cd34bd32a2952d106092bad0b46e6248168e
    user: 1000:1000
    port: 3000
    environment:
      PORT: "3000"
      RTL_CONFIG_PATH: /data
      CHANNEL_BACKUP_PATH: /data/backup
    {% if services is containing("lnd") %}
      LN_IMPLEMENTATION: LND
      LN_SERVER_URL: https://$APP_LND_SERVICE_IP:8080
      MACAROON_PATH: /lnd/data/chain/bitcoin/$BITCOIN_NETWORK
      CONFIG_PATH: /lnd/lnd.conf
      SWAP_SERVER_URL: https://$APP_RIDE_THE_LIGHTNING_LOOP_IP:8081
      SWAP_MACAROON_PATH: /loop/.loop/$BITCOIN_NETWORK
      BOLTZ_SERVER_URL: https://$APP_RIDE_THE_LIGHTNING_BOLTZ_IP:9003
      BOLTZ_MACAROON_PATH: /boltz/.boltz-lnd/macaroons
    {% elif services is containing("core-ln") %}
      LN_IMPLEMENTATION: CLT
      LN_SERVER_URL: https://$APP_CORE_LN_SERVICE_IP:3001
      MACAROON_PATH: /core-ln/certs
      CONFIG_PATH: /core-ln/config
      ENABLE_OFFERS: "true"
    {% endif %}
    mounts:
    {% if services is containing("lnd") %}
      lnd: /lnd
    {% elif services is containing("core-ln") %}
      core-ln: /core-ln
    {% endif %}
      data:
    {% if services is containing("lnd") %}
        loop: /loop
        boltz: /boltz
    {% endif %}
        rtl: /data
        RTL-Config.json: /data/RTL-Config.json

